function [CM,index] = classificationTreeCV(X, y, nfold, minleaf)
%Train and test classification tree
n = length(y);
index = randperm(n);
teststart = 1;
CM = zeros(4,4);

for i = 1:nfold
    testend = round((i*n/nfold));
    test = index(teststart:testend);
    train = index([1:teststart-1 testend+1:n]);
    Xtest = X(test,:);
    ytest = uint8(y(test));
    Xtrain = X(train,:);
    ytrain = y(train);
    
    t = classregtree(Xtrain,ytrain,'minleaf',minleaf,'surrogate','on');
    
    yfit = eval(t,Xtest); %#ok<EVLC>
    
    for j = 1:length(yfit)
        ypred = str2double(yfit{j});
        CM(ytest(j),ypred) = CM(ytest(j),ypred) + 1;
    end
    
    teststart = testend + 1;
end