function counts = combFrequency(Text, Objlist, n)
%compute n-gram frequency in text using combinations of objects in objlist
% - Text is assumed to be a 1-dim cell array of sentences, where each
% sentence is a 1-dim cell array of words
% - Objlist is assumed to be a 1-dim cell array of words
% - n is the length of the word sequence
% - counts is a plain list of numbers corresponding to the items in Objlist
nObj = length(Objlist);
counts = zeros(nObj^n,1);
for i = 1:length(Text)
    S = Text{i};
    for j = 1:length(S)-n+1;
        index = 1;
        mult = 1;
        for k = n:-1:1
            index = index+mult*(find(strcmp(S{j+k-1},Objlist))-1);
            mult = mult*nObj;
        end
        counts(index) = counts(index) + 1;
    end
end
end