%Compute correlations between NR, PR, AWL, VWL, ASL, VSL,
%TTR, HLR, DLR, TLR and Text length.
%% Init
clear;
load statistics_ws250.mat C5tags C5counts classCode;
load statistics_ws250.mat AWL VWL ASL VSL TTR NHL NDL NTL nwords;

classlabel = extractClass(classCode);

nouns = strcmp(C5tags,'NN0')|strcmp(C5tags,'NN1')|...
    strcmp(C5tags,'NN2')|strcmp(C5tags,'NP0');
pronouns = strcmp(C5tags,'PNP')|strcmp(C5tags,'PNX');

%% Define features
NR = sum(C5counts(:,nouns),2) ./ nwords;
PR = sum(C5counts(:,pronouns),2) ./ nwords;

M = [NR PR AWL VWL ASL VWL TTR NHL NDL NTL nwords];

%% Take proper subset of texts
index = nwords >= 250 & classlabel > 0;
M = M(index,:);
classlabel = classlabel(index);

%% Compute correlations and print on screen
corrcoef(M)

%% Plot matrix of grouped scatter plots
gplotmatrix(M,[],classlabel);

%% Box plots of groups for all features
for i = 1:11
    subplot(3,4,i);
    boxplot(M(:,i),classlabel);
end